Package org.gradle.authentication.http

# Interface BasicAuthentication

All Superinterfaces:
  `Authentication`, `Named`

public interface BasicAuthentication extends Authentication
Authentication scheme for basic access authentication over HTTP. When using this scheme, credentials are sent preemptively.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Named

  `getName`